package com.kingdee.eas.custom.expandassess;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ExpandAssessEntryCollection extends AbstractObjectCollection 
{
    public ExpandAssessEntryCollection()
    {
        super(ExpandAssessEntryInfo.class);
    }
    public boolean add(ExpandAssessEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ExpandAssessEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ExpandAssessEntryInfo item)
    {
        return removeObject(item);
    }
    public ExpandAssessEntryInfo get(int index)
    {
        return(ExpandAssessEntryInfo)getObject(index);
    }
    public ExpandAssessEntryInfo get(Object key)
    {
        return(ExpandAssessEntryInfo)getObject(key);
    }
    public void set(int index, ExpandAssessEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ExpandAssessEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ExpandAssessEntryInfo item)
    {
        return super.indexOf(item);
    }
}